| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::onboarding_prompt Struct Reference

Represents an onboarding prompt. More...

`#include <guild.h>`

Inheritance diagram for dpp::onboarding_prompt:
[legend]
Collaboration diagram for dpp::onboarding_prompt:
[legend]

## Public Member Functions

| onboarding_prompt ()
| Construct a new onboarding prompt object.
virtual | ~onboarding_prompt ()=default
| Destroy the onboarding prompt object.
std::string | build_json (bool with_id=false) const
| Convert object to json string.
onboarding_prompt & | fill_from_json (nlohmann::json *j)
| Convert object from nlohmann::json.
constexpr double | get_creation_time () const noexcept
| Get the creation time of this object according to Discord.
bool | is_in_onboarding () const
| Indicates whether the prompt is present in the onboarding flow.
bool | is_required () const
| Indicates whether the prompt is required before a user completes the onboarding flow.
bool | is_single_select () const
| Indicates whether users are limited to selecting one option for the prompt.
constexpr bool | operator!= (const managed &other) const noexcept
| Comparison operator for comparing two managed objects by id.
constexpr bool | operator== (const managed &other) const noexcept
| Comparison operator for comparing two managed objects by id.
onboarding_prompt & | set_title (const std::string &_title)
| Set the title of this onboarding prompt object.
onboarding_prompt & | set_type (const onboarding_prompt_type _type)
| Set the type of this onboarding prompt object.
auto | to_json (bool with_id=false) const
| Convert object to nlohmann::json.

## Public Attributes

uint8_t | flags
| A set of flags built from the bitmask defined by dpp::onboarding_prompt_flags.
snowflake | id = {}
| Unique ID of object set by Discord. This value contains a timestamp, worker ID, internal server ID, and an incrementing value. Only the timestamp is relevant to us as useful metadata.
std::vector< onboarding_prompt_option > | options
| Options available within the prompt.
std::string | title
| Title of the prompt.
onboarding_prompt_type | type
| Type of prompt (defaults to dpp::opt_multiple_choice).

## Protected Member Functions

onboarding_prompt & | fill_from_json_impl (nlohmann::json *j)
| Read class values from json object.
json | to_json_impl (bool with_id=false) const
| Build the json for this object.

## Friends

struct | json_interface< onboarding_prompt >

## Detailed Description

Represents an onboarding prompt.

## Constructor & Destructor Documentation

## ◆ onboarding_prompt()

dpp::onboarding_prompt::onboarding_prompt | ( |  | ) |

Construct a new onboarding prompt object.

## ◆ ~onboarding_prompt()

virtual dpp::onboarding_prompt::~onboarding_prompt | ( |  | ) |

virtual default

Destroy the onboarding prompt object.

## Member Function Documentation

## ◆ build_json()

std::string dpp::json_interface< onboarding_prompt >::build_json | ( | bool | with_id = false | ) | const

inline inherited

Convert object to json string.

Parameters

  with_id | Whether to include the ID or not

Note
  Some fields are conditionally filled, do not rely on all fields being present

Returns
  std::string Json built from the structure

## ◆ fill_from_json()

onboarding_prompt & dpp::json_interface< onboarding_prompt >::fill_from_json | ( | nlohmann::json * | j | ) |

inline inherited

Convert object from nlohmann::json.

Parameters

  j | nlohmann::json object

Returns
  T& Reference to self for fluent calling

## ◆ fill_from_json_impl()

onboarding_prompt & dpp::onboarding_prompt::fill_from_json_impl | ( | nlohmann::json * | j | ) |

protected

Read class values from json object.

Parameters

  j | A json object to read from

Returns
  A reference to self

## ◆ get_creation_time()

double dpp::managed::get_creation_time | ( |  | ) | const

inline constexpr noexcept inherited

Get the creation time of this object according to Discord.

Returns
  double creation time inferred from the snowflake ID. The minimum possible value is the first second of 2015.

## ◆ is_in_onboarding()

bool dpp::onboarding_prompt::is_in_onboarding | ( |  | ) | const

Indicates whether the prompt is present in the onboarding flow.

Returns
  bool True if the prompt is present in the onboarding flow. False if the prompt will only appear in the Channels & Roles tab

## ◆ is_required()

bool dpp::onboarding_prompt::is_required | ( |  | ) | const

Indicates whether the prompt is required before a user completes the onboarding flow.

Returns
  bool True if the prompt is required before a user completes the onboarding flow

## ◆ is_single_select()

bool dpp::onboarding_prompt::is_single_select | ( |  | ) | const

Indicates whether users are limited to selecting one option for the prompt.

Returns
  bool True if the users are limited to selecting one option for the prompt

## ◆ operator!=()

bool dpp::managed::operator!= | ( | const managed & | other | ) | const

inline constexpr noexcept inherited

Comparison operator for comparing two managed objects by id.

Parameters

  other | Other object to compare against

Returns
  true objects are not the same id
  false objects are the same id

## ◆ operator==()

bool dpp::managed::operator== | ( | const managed & | other | ) | const

inline constexpr noexcept inherited

Comparison operator for comparing two managed objects by id.

Parameters

  other | Other object to compare against

Returns
  true objects are the same id
  false objects are not the same id

## ◆ set_title()

onboarding_prompt & dpp::onboarding_prompt::set_title | ( | const std::string & | _title | ) |

Set the title of this onboarding prompt object.

Parameters

  _title | The title to set

Returns
  Reference to self, so these method calls may be chained

## ◆ set_type()

onboarding_prompt & dpp::onboarding_prompt::set_type | ( | const onboarding_prompt_type | _type | ) |

Set the type of this onboarding prompt object.

Parameters

  _type | The prompt type to set

Returns
  Reference to self, so these method calls may be chained

## ◆ to_json()

auto dpp::json_interface< onboarding_prompt >::to_json | ( | bool | with_id = false | ) | const

inline inherited

Convert object to nlohmann::json.

Parameters

  with_id | Whether to include the ID or not

Note
  Some fields are conditionally filled, do not rely on all fields being present

Returns
  json Json built from the structure

## ◆ to_json_impl()

json dpp::onboarding_prompt::to_json_impl | ( | bool | with_id = false | ) | const

protected

Build the json for this object.

Parameters

  with_id | include the id in the JSON

Returns
  json data

## Friends And Related Symbol Documentation

## ◆ json_interface< onboarding_prompt >

friend struct json_interface< onboarding_prompt >

friend

## Member Data Documentation

## ◆ flags

uint8_t dpp::onboarding_prompt::flags

A set of flags built from the bitmask defined by dpp::onboarding_prompt_flags.

## ◆ id

snowflake dpp::managed::id = {}

inherited

Unique ID of object set by Discord. This value contains a timestamp, worker ID, internal server ID, and an incrementing value. Only the timestamp is relevant to us as useful metadata.

## ◆ options

std::vector<onboarding_prompt_option> dpp::onboarding_prompt::options

Options available within the prompt.

## ◆ title

std::string dpp::onboarding_prompt::title

Title of the prompt.

## ◆ type

onboarding_prompt_type dpp::onboarding_prompt::type

Type of prompt (defaults to dpp::opt_multiple_choice).

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0